import { Pab } from "jalhyd";

import { FormulaireBase } from "./form-base";
import { FormComputePab } from "../form-compute-pab";
import { FormResultPab } from "../form-result-pab";

/**
 * Formulaire pour les passes à bassins, inspiré du formulaire
 * pour les structures en parallèle
 */
export class FormulairePab extends FormulaireBase {

    constructor() {
        super();
        this._formResult = new FormResultPab(this);

        // remove obsolete observer set by super()
        this.removeObserver(this._formCompute);
        this._formCompute = new FormComputePab(this, (this._formResult as FormResultPab));
    }

    public get pabNub(): Pab {
        return this.currentNub as Pab;
    }
}
