import { FormulaireDefinition } from "./form-definition";
import { FormResult } from "./form-result";
import { CalculatorResults } from "../../results/calculator-results";
import { MacrorugoCompoundResults } from "../../results/macrorugo-compound-results";

export class FormResultMacrorugoCompound extends FormResult {

    protected _formBase: FormulaireDefinition;

    protected _mrcResults: MacrorugoCompoundResults;

    constructor(base: FormulaireDefinition) {
        super();
        this._formBase = base;
        this._mrcResults = new MacrorugoCompoundResults();
    }

    public get mrcResults() {
        return this._mrcResults;
    }

    public resetResults() {
        this._mrcResults.reset();
    }

    public get results(): CalculatorResults[] {
        return [ this._mrcResults ];
    }

    public get hasResults(): boolean {
        return this._mrcResults.hasResults;
    }
}
