import { ApplicationSetupService } from "./app-setup.service";
import { FormulaireService } from "./formulaire.service";
import { I18nService } from "./internationalisation.service";
import { HttpService } from "./http.service";
import { NotificationsService } from "./notifications.service";

export class ServiceFactory {
    private static _instance: ServiceFactory; // instance pour le pattern singleton

    private constructor() { }

    public applicationSetupService: ApplicationSetupService;

    public formulaireService: FormulaireService;

    public i18nService: I18nService;

    public httpService: HttpService;

    public notificationsService: NotificationsService;

    public static get instance() {
        if (ServiceFactory._instance === undefined) {
            ServiceFactory._instance = new ServiceFactory();
        }
        return ServiceFactory._instance;
    }
}
